/*
 * Copyright 2008 Chris Povirk
 * 
 * This file is part of General Manager for Tecmo Super Bowl.
 * 
 * General Manager for Tecmo Super Bowl is free software: you can redistribute
 * it and/or modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 * 
 * General Manager for Tecmo Super Bowl is distributed in the hope that it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * General Manager for Tecmo Super Bowl. If not, see
 * <http://www.gnu.org/licenses/>.
 */

package org.twofoos.gmtsb.gui;

import java.awt.Point;
import java.util.List;

import org.twofoos.gmtsb.core.TSBTransferableData;
import org.twofoos.gmtsb.userevent.extrinsic.CopyEvent;
import org.twofoos.gmtsb.userevent.extrinsic.MoveEvent;
import org.twofoos.gmtsb.userevent.extrinsic.SwapEvent;
import org.twofoos.gmtsb.util.iterators.Pair;

public interface TSBDropReceiver<D extends TSBTransferableData<D>>
{
  public Pair<TransferablePanel<?>, TransferablePanel<?>> getPanelsToDropBetween(
      Point point);

  public SwapEvent<D> createSwapEvent(List<D> fromList, D data);

  public Pair<CopyEvent<D>, MoveEvent<D>> createCopyAndMoveEvents(
      List<D> fromList, D data);

  public TransferablePanel<?> getSwapTarget(Point point);
}
