/*
 * Copyright 2008 Chris Povirk
 * 
 * This file is part of General Manager for Tecmo Super Bowl.
 * 
 * General Manager for Tecmo Super Bowl is free software: you can redistribute
 * it and/or modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 * 
 * General Manager for Tecmo Super Bowl is distributed in the hope that it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * General Manager for Tecmo Super Bowl. If not, see
 * <http://www.gnu.org/licenses/>.
 */

package org.twofoos.gmtsb.gui.chooser;

import java.awt.Frame;

import javax.swing.JPanel;

public abstract class ChooserPanel<T> extends JPanel
{
  private final Frame chooserOwner;
  private final String title;

  protected ChooserPanel(Frame chooserOwner, String title)
  {
    this.chooserOwner = chooserOwner;
    this.title = title;
  }

  // TODO why can't this be protected?
  public abstract void setChooser(Chooser<?> chooser);

  // Can't be Chooser<T> because we use Chooser<Iterable<T>> for multi-choosers.
  public abstract Chooser<?> getChooser();

  protected static <T> T showDialog(ChooserPanel<T> chooserPanel)
  {
    Chooser<T> chooser = new Chooser<T>(chooserPanel);

    return chooser.prompt();
  }

  public Frame getChooserOwner()
  {
    return chooserOwner;
  }

  public String getTitle()
  {
    return title;
  }

  public abstract T getSelectedData();
}
