/*
 * Copyright 2008 Chris Povirk
 * 
 * This file is part of General Manager for Tecmo Super Bowl.
 * 
 * General Manager for Tecmo Super Bowl is free software: you can redistribute
 * it and/or modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 * 
 * General Manager for Tecmo Super Bowl is distributed in the hope that it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * General Manager for Tecmo Super Bowl. If not, see
 * <http://www.gnu.org/licenses/>.
 */

package org.twofoos.gmtsb.gui.player;

import org.twofoos.gmtsb.core.Player;
import org.twofoos.gmtsb.gui.EventReadyUCTextField;
import org.twofoos.gmtsb.userevent.UserEvent;

public abstract class PlayerTextField extends EventReadyUCTextField
{
  private static final long serialVersionUID = -3548923850077643911L;
  // TODO size
  private static final int SIZE = 12;

  private final PlayerPanel panel;

  // TODO might consider finding the PlayerPanel dynamically when needed?
  protected PlayerTextField(PlayerPanel panel, String text)
  {
    super(text, SIZE);
    this.panel = panel;
  }

  @Override
  protected void performAndPublish(UserEvent e)
  {
    panel.performAndPublish(e);
  }

  protected Player getPlayer()
  {
    return panel.getPlayer();
  }
}
