/*
 * Copyright 2008 Chris Povirk
 * 
 * This file is part of General Manager for Tecmo Super Bowl.
 * 
 * General Manager for Tecmo Super Bowl is free software: you can redistribute
 * it and/or modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 * 
 * General Manager for Tecmo Super Bowl is distributed in the hope that it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * General Manager for Tecmo Super Bowl. If not, see
 * <http://www.gnu.org/licenses/>.
 */

package org.twofoos.gmtsb.gui.team;

import org.twofoos.gmtsb.core.Team;
import org.twofoos.gmtsb.userevent.UserEvent;
import org.twofoos.gmtsb.userevent.intrinsic.team.NameChangeEvent;

public class NameField extends TeamTextField
{
  private static final long serialVersionUID = -6687407865959010723L;

  public NameField(TeamPanel panel, String text, int columns)
  {
    super(panel, text, CITY_AND_NAME_SIZE);
  }

  @Override
  protected UserEvent createUserEvent()
  {
    Team team = getTeam();
    String from = team.getName();
    String to = getText();
    return new NameChangeEvent(team, from, to, this);
  }
}
