/*
 * Copyright 2008 Chris Povirk
 * 
 * This file is part of General Manager for Tecmo Super Bowl.
 * 
 * General Manager for Tecmo Super Bowl is free software: you can redistribute
 * it and/or modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 * 
 * General Manager for Tecmo Super Bowl is distributed in the hope that it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * General Manager for Tecmo Super Bowl. If not, see
 * <http://www.gnu.org/licenses/>.
 */

package org.twofoos.gmtsb.gui.team;

import org.twofoos.gmtsb.core.Team;
import org.twofoos.gmtsb.gui.EventReadyUCTextField;
import org.twofoos.gmtsb.userevent.UserEvent;

public abstract class TeamTextField extends EventReadyUCTextField
{
  private static final long serialVersionUID = -9200003970123064810L;
  protected static final int CITY_AND_NAME_SIZE = 12;
  protected static final int ABBREVIATION_SIZE = 3;

  private final TeamPanel panel;

  // TODO might consider finding the TeamPanel dynamically when needed?
  protected TeamTextField(TeamPanel panel, String text, int columns)
  {
    super(text, columns);
    this.panel = panel;
  }

  @Override
  protected void performAndPublish(UserEvent e)
  {
    panel.performAndPublish(e);
  }

  protected Team getTeam()
  {
    return panel.getTeam();
  }
}
