/*
 * Copyright 2008 Chris Povirk
 * 
 * This file is part of General Manager for Tecmo Super Bowl.
 * 
 * General Manager for Tecmo Super Bowl is free software: you can redistribute
 * it and/or modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 * 
 * General Manager for Tecmo Super Bowl is distributed in the hope that it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * General Manager for Tecmo Super Bowl. If not, see
 * <http://www.gnu.org/licenses/>.
 */

package org.twofoos.gmtsb.gui.team.chooser;

import java.awt.Color;
import java.awt.Frame;
import java.awt.Image;

import org.twofoos.gmtsb.core.PaletteColor;
import org.twofoos.gmtsb.gui.util.GUIUtils;
import org.twofoos.gmtsb.gui.util.ImageIconWithPalette;

public class PlayerDataColorChooserPanel extends
    ColorPreviewChooserPanel<PaletteColor>
{
  private static final long serialVersionUID = -3026638717103785643L;

  private static final Image SPRITE_PREVIEW_IMAGE =
      GUIUtils.createImage("playerdata.png");

  private PlayerDataColorChooserPanel(Frame chooserOwner, String teamName,
      PaletteColor initialColor)
  {
    super(new ColorChooserPanel(chooserOwner, "Player Data Background Color - "
        + teamName, initialColor, PaletteColor.getAllColors()),
        SPRITE_PREVIEW_IMAGE);
  }

  @Override
  protected void updatePreviewPalette(ImageIconWithPalette preview)
  {
    preview.putPaletteColor(Color.WHITE, Color.WHITE);
    preview.putPaletteColor(Color.BLACK, getSelectedData().getColor());
  }

  public static PaletteColor showDialog(Frame owner, String teamName,
      PaletteColor initialColor)
  {
    PlayerDataColorChooserPanel chooserPanel =
        new PlayerDataColorChooserPanel(owner, teamName, initialColor);
    return showDialog(chooserPanel);
  }
}
