/*
 * Copyright 2008 Chris Povirk
 * 
 * This file is part of General Manager for Tecmo Super Bowl.
 * 
 * General Manager for Tecmo Super Bowl is free software: you can redistribute
 * it and/or modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 * 
 * General Manager for Tecmo Super Bowl is distributed in the hope that it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * General Manager for Tecmo Super Bowl. If not, see
 * <http://www.gnu.org/licenses/>.
 */

package org.twofoos.gmtsb.userevent.intrinsic.player;

import org.twofoos.gmtsb.core.Player;
import org.twofoos.gmtsb.userevent.UserEvent;
import org.twofoos.gmtsb.userevent.intrinsic.MergeableIntrinsicEvent;

// TODO remove event altogether from the undo history if it's something like
// "change from 69 to 69" (similarly for names, uniform numbers)
public class UniformNumberChangeEvent extends
    MergeableIntrinsicEvent<UniformNumberChangeEvent, Player, Integer>
{
  public UniformNumberChangeEvent(Player player, int from, int to, Object source)
  {
    super(player, from, to, source);
  }

  public String getDescription()
  {
    return "Change uniform number of " + getSubject().getFullName() + " from "
        + getFrom() + " to " + getTo();
  }

  @Override
  protected UserEvent newEventForMerge(Integer from, Integer to)
  {
    return new UniformNumberChangeEvent(getSubject(), from, to, getSource());
  }

  @Override
  protected void changeSubjectAttribute(Integer value)
  {
    getSubject().setUniformNumber(value);
  }
}
